document.addEventListener('DOMContentLoaded', function() {
  const clientTypeSelect = document.getElementById('clientType');
  const commercialSubtypes = document.getElementById('commercialSubtypes');

  clientTypeSelect.addEventListener('change', function() {
    if (this.value === 'commercial') {
      commercialSubtypes.classList.remove('hidden');
    } else {
      commercialSubtypes.classList.add('hidden');
    }
  });

  const form = document.getElementById('clientForm');
  form.addEventListener('submit', function(e) {
    e.preventDefault();
    // Add form submission logic here
    alert('Client created successfully!');
    form.reset();
    commercialSubtypes.classList.add('hidden');
  });
});